using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialRecommendPresaleInfo
{

    /*
        预售商品-付定金开始时间（毫秒）
    */
    private long? presaleStartTime;


    /*
        预售商品-付定金结束时间（毫秒）
    */
    private long? presaleEndTime;


    /*
        预售商品-付尾款开始时间（毫秒）
    */
    private long? presaleTailStartTime;


    /*
        预售商品-付尾款结束时间（毫秒）
    */
    private long? presaleTailEndTime;


    /*
        预售商品-定金（元）
    */
    private string? presaleDeposit;


    /*
        预售商品-优惠信息
    */
    private string? presaleDiscountFeeText;



    [JsonPropertyName("presale_start_time")]
    public long? PresaleStartTime
    {
        get => presaleStartTime;
        set => this.presaleStartTime = value;
    }

    [JsonPropertyName("presale_end_time")]
    public long? PresaleEndTime
    {
        get => presaleEndTime;
        set => this.presaleEndTime = value;
    }

    [JsonPropertyName("presale_tail_start_time")]
    public long? PresaleTailStartTime
    {
        get => presaleTailStartTime;
        set => this.presaleTailStartTime = value;
    }

    [JsonPropertyName("presale_tail_end_time")]
    public long? PresaleTailEndTime
    {
        get => presaleTailEndTime;
        set => this.presaleTailEndTime = value;
    }

    [JsonPropertyName("presale_deposit")]
    public string? PresaleDeposit
    {
        get => presaleDeposit;
        set => this.presaleDeposit = value;
    }

    [JsonPropertyName("presale_discount_fee_text")]
    public string? PresaleDiscountFeeText
    {
        get => presaleDiscountFeeText;
        set => this.presaleDiscountFeeText = value;
    }

}

